Feeef Cloud
ApiGeo

GeoJSON FeatureCollection of state outlines for a country

Dissolves commune polygons into one Feature per state. Works for any country that has imported city_polygons (not DZ-only).

GET
/geo/states/polygons

Dissolves commune polygons into one Feature per state. Works for any country that has imported city_polygons (not DZ-only).

AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Query Parameters

country?string
Length2 <= length <= 2
Default"DZ"
lang?string
Default"fr"

Value in

  • "ar"
  • "fr"
  • "en"
level?string
Default"display"

Value in

  • "display"
  • "full"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geo/states/polygons"
{  "data": {    "type": "FeatureCollection",    "features": [      {        "type": "Feature",        "id": "string",        "properties": {          "code": "string",          "country": "st",          "name": "string",          "displayName": "string",          "locales": {            "ar": "string",            "fr": "string",            "en": "string"          },          "ref": "string",          "level": "display"        },        "geometry": {          "type": "string",          "coordinates": null        }      }    ]  },  "meta": {    "attribution": "© OpenStreetMap contributors (ODbL)",    "country": "string",    "count": -9007199254740991  }}